import { backendURL } from "../../../helpers/gql"
import { DownloadVideo, MessageVideoItemWrap, VideoItem } from "./MessageVideoItem.style";
import DownloadIcon from '../MessageAudioItem/icons8-download.png';

export const MessageVideoItem = ({url}) => {
    return(
        <MessageVideoItemWrap>
            <VideoItem controls src={`${backendURL}/${url || ''}`} />
            <DownloadVideo src={DownloadIcon}/>
        </MessageVideoItemWrap>
    )
}