import { actionOpenModal } from "../reducers/modalReducer";
import Box from '@mui/material/Box';
import { Fab} from '@mui/material';
import AddIcon from '@mui/icons-material/Add';
import { connect } from "react-redux";

const NewChatButton = ({setOpen}) => {
	return (
	  <Box sx={{ '& > :not(style)': { m: 1 } }}>
		
		<Fab  color="secondary" aria-label="add">
		  <AddIcon onClick={() => setOpen('createChatModal')}/>
		</Fab>
		
	  </Box>
	)
  }

export default connect(null,{setOpen : actionOpenModal})(NewChatButton)