import { backendURL } from "../../../helpers/gql"
import { DownloadImg, ImageItem, MessageImgItemWrap } from "./MessageImgItem.style"
import DownloadIcon from '../MessageAudioItem/icons8-download.png';

export const MessageImgItem = ({url}) => {
    return(
        <MessageImgItemWrap>
            <ImageItem src={`${backendURL}/${url || ''}`}/>
            <DownloadImg src={DownloadIcon}/>
        </MessageImgItemWrap>
    )
}